Show / Hide Table of Contents

# Class WebSocketFrame

##### Inheritance

Object
WebSocketFrame

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class WebSocketFrame

### Properties

| Improve this Doc View Source

#### Data

##### Declaration

    public ReadOnlyMemory<byte> Data { get; }

##### Property Value

Type | Description
--- | ---
ReadOnlyMemory<Byte> |

| Improve this Doc View Source

#### IsFinal

##### Declaration

    public bool IsFinal { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### OpCode

##### Declaration

    public WebsocketOpCode OpCode { get; }

##### Property Value

Type | Description
--- | ---
WebsocketOpCode |

### Methods

| Improve this Doc View Source

#### GetText()

##### Declaration

    public string GetText()

##### Returns

Type | Description
--- | ---
String |

| Improve this Doc View Source

#### GetText(Encoding)

##### Declaration

    public string GetText(Encoding encoding)

##### Parameters

Type | Name | Description
--- | --- | ---
Encoding | encoding |

##### Returns

Type | Description
--- | ---
String |